Home | All Classes | Grouped Classes | Index | Search

# CL_LineMath::collinear

Return true if two line segments are collinear. (All points are on the same line.)

    	bool collinear(
    		float* lineA, float* lineB);

Parameters:

float *lineA
  First line. Pointer to float array with elements {x1,y1,x2,y2}.
float *lineB
  Second line. Pointer to float array with elements {x1,y1,x2,y2}.

See also:

CL_LineMath

Questions or comments, write to the ClanLib mailing list.